Subject: [TR] Maybe the last lunch

From: John Macartney <[email-masked]>
Date: Fri, 22 Dec 2023 22:31:50 +0000

For at least the last thirty years, I have attended a self-funded Christmas lunch held in Coventry for former employees of Standard-Triumph’s Home and Export Sales departments, Export Shipping, Dealer Development, Advertising and staff from the Parts Division. These were what anyone visiting the building known as Fletch South would have encountered had they arrived at that location. All in all, about 250-300 people tops. My first lunch back in 1992 (I’d been living overseas until then) saw a total headcount of about 180 and over the years that followed we always drank a toast in memory of those who had died during the previous year or who were absent through ill health. During the pandemic and the two lockdowns of 2020 and 2021, we didn’t have a Christmas lunch because of infection risk but we do know too many people died through COVID, cancer or just old age. Today was sobering for all of us as only 10 place settings were at our usual table and the Memorial Toast was for 49 people who were hale, hearty, life and soul, happy and jolly at the 2019 lunch which everyone today also attended.
It seems but only yesterday we were all together working for one objective, young women, young men, together with many more older examples of the same. And in a finger snap, but just a few survive and for maybe only a little while longer? Who knows? How many place settings for the 2024 lunch? I’d rather not ponder that.

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]